POST
/api/onboard/complete
const url = 'https://example.com/api/onboard/complete';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/onboard/complete \ --header 'Authorization: Bearer <token>'Atomically creates the Member, PaymentMethod and Subscription, marks the invitation as Used, and returns the new identifiers. The onboarding JWT is no longer useful after this call — the portal should clear the cookie.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Member created.
Media type application/json
object
outcome
string
memberId
string format: uuid
subscriptionId
string format: uuid
missingField
string
Example
{ "outcome": "Ok"}Some required draft fields are still missing.
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Invitation is no longer in the Redeemed state.
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}